Bug 171272 - ldap does not start after power failure
ldap does not start after power failure
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jan Safranek
: 171271 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-10-20 04:01 EDT by Alexey Baj
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openldap-servers-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-23 08:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexey Baj 2005-10-20 04:01:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
After power failure there is a high probability that ldap startup script would  
hang or would fail but report success. To make it start again one has to  
either recreate databases or run db_recover -h /var/lib/ldap, THEN run  
slaptest as user ldap.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start slapd   
2. press 'reset'   
3. boot computer again  

Actual Results:  boot process hangs on "Starting slapd"   
or  . 
"Starting slapd [ OK ]", but slapd is not running. 

Expected Results:  At very least, init script should not block booting, and report failure if 
slapd fails to start. 
Maybe good thing is to run db_recovery each time slapd starts. 

Additional info:

When one manually runs db_recover $PATH_TO_LDAP_DB, then /sbin/service ldap 
start, in $PATH_TO_LDAP_DB files __db.* will be created with root permissions, 
and slapd would still not run. Cause is slaptest in init script.
Comment 1 Ignacio Vazquez-Abrams 2005-10-20 04:06:14 EDT
*** Bug 171271 has been marked as a duplicate of this bug. ***
Comment 2 Marek Greško 2006-01-18 13:38:29 EST
Running slaptest as user ldap is not a solution, because it does not create
__db* files. These files with root permissions are created by slapd.

The problem persists also in openldap-servers-2.2.9-1.FC4.
Comment 3 Marek Greško 2006-01-18 14:12:39 EST
Sorry. The problem is really in slaptest. I tried slaptest -u which did not
create the files, but without -u it did.
Comment 4 Christian Iseli 2007-01-19 19:24:19 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 5 Jan Safranek 2007-05-23 08:03:59 EDT
openldap-servers-2.3.30-2.fc6 has improved startup checks and stale locks should
not be problem anymore

Note You need to log in before you can comment on or make changes to this bug.